Skip to main content
GET
Get an order

Authorizations

x-api-key
string
header
required

A scoped API key created in the PaperDrill dashboard.

Path Parameters

orderId
string
required

Order identifier.

Response

Order returned successfully.

id
string
required
userId
string
required
symbol
string
required
side
enum<string>
required
Available options:
BUY,
SELL
type
enum<string>
required
Available options:
LIMIT,
MARKET
status
enum<string>
required
Available options:
OPEN,
PARTIALLY_FILLED,
FILLED,
CANCELLED
qty
string
required

A non-negative decimal encoded as a string.

Pattern: ^\d+(\.\d+)?$
Example:

"125.50"

filledQty
string
required

A non-negative decimal encoded as a string.

Pattern: ^\d+(\.\d+)?$
Example:

"125.50"

createdAt
string<date-time>
required
price
string

Present for limit orders.

Pattern: ^\d+(\.\d+)?$
Example:

"125.50"

averagePrice
string

Present after at least one fill.

Pattern: ^\d+(\.\d+)?$
Example:

"125.50"